import { initAuth } from "@queenjs-modules/auth";

export function initAuthDef() {
  const auth = initAuth({
    helper: {},
    config: {
      singlePage: true,
      key: "queentreesku3d",
      loginPath: "/login.html",
      loginJumpPath: "/",
      logoutJumpPath: "/",
      needCompanyLogin: false,
      needRegister: true,
      needResetPwd: true,
      httpConfig: {
        baseURL: "https://www.3dqueen.cloud/cloud/v1/usercenter",
      },
    },
  });
  auth.actions.initUser();
  return auth;
}
