import { css } from "@linaria/core";
import { defineComponent } from "vue";
import { string } from "vue-types";

export default defineComponent({
  props: {
    msg: string(),
  },
  setup(props) {
    return () => (
      <div class={rootStyle}>
        <h1>{props.msg}</h1>
      </div>
    );
  },
});

const rootStyle = css`
  border-right: 1px solid #eaeaea;
  h1 {
    margin: 40px 0 0;
  }
`;
