import { queenApi } from "queenjs";
import { CollocationModule } from "../..";

export const designAction = CollocationModule.action({
  async delDesign(item) {
    const result = await queenApi.showConfirm({
      title: "删除提示",
      content: `删除后不可恢复，是否删除${item.name}？`,
      type: "danger",
    });
    if (!result) return;

    const res = await this.https.delDesign(item._id);
    if (res.errorNo != 200) return;
    // design.DesignList.fresh();
  },
});
